# Uses of Class
net.shibboleth.idp.session.context.SessionContext

Packages that use SessionContext
Package
Description
net.shibboleth.idp.cas.flow.impl
CAS protocol flow implementations.
net.shibboleth.idp.saml.saml2.profile.impl
Profile processing actions related to SAML 2 messages.
net.shibboleth.idp.session.context.navigate
Functions for traversing session-related contexts.
net.shibboleth.idp.session.impl
Implementations of session-related classes and interfaces.

## Uses of SessionContext in net.shibboleth.idp.cas.flow.impl

Fields in net.shibboleth.idp.cas.flow.impl with type parameters of type SessionContext
Modifier and Type
Field
Description
`private final Function<ProfileRequestContext,SessionContext>`
GrantServiceTicketAction.`sessionContextFunction`
Looks up an IdP session context from IdP profile request context.

## Uses of SessionContext in net.shibboleth.idp.saml.saml2.profile.impl

Fields in net.shibboleth.idp.saml.saml2.profile.impl with type parameters of type SessionContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,SessionContext>`
ProcessLogoutRequest.`sessionContextCreationStrategy`
Creation/lookup function for SessionContext.
Method parameters in net.shibboleth.idp.saml.saml2.profile.impl with type arguments of type SessionContext
Modifier and Type
Method
Description
`void`
ProcessLogoutRequest.`setSessionContextCreationStrategy(Function<ProfileRequestContext,SessionContext> strategy)`
Set the creation/lookup strategy for the `SessionContext` to populate.

## Uses of SessionContext in net.shibboleth.idp.session.context.navigate

Methods in net.shibboleth.idp.session.context.navigate with parameters of type SessionContext
Modifier and Type
Method
Description
`String`
SessionContextIDLookupFunction.`apply(SessionContext input)`
`String`
SessionContextPrincipalLookupFunction.`apply(SessionContext input)`

## Uses of SessionContext in net.shibboleth.idp.session.impl

Fields in net.shibboleth.idp.session.impl declared as SessionContext
Modifier and Type
Field
Description
`private SessionContext`
DestroySessions.`sessionContext`
SessionContext to access.
`private SessionContext`
DetectIdentitySwitch.`sessionCtx`
SessionContext to operate on.
`private SessionContext`
UpdateSessionWithAuthenticationResult.`sessionCtx`
Existing or newly created SessionContext.
`private SessionContext`
UpdateSessionWithSPSession.`sessionCtx`
Existing or newly created SessionContext.
Fields in net.shibboleth.idp.session.impl with type parameters of type SessionContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,SessionContext>`
PopulateSessionContext.`sessionContextCreationStrategy`
Creation/lookup function for SessionContext.
`private Function<ProfileRequestContext,SessionContext>`
ProcessLogout.`sessionContextCreationStrategy`
Creation/lookup function for SessionContext.
`private Function<ProfileRequestContext,SessionContext>`
UpdateSessionWithAuthenticationResult.`sessionContextCreationStrategy`
Lookup/creation function for SessionContext.
`private Function<ProfileRequestContext,SessionContext>`
DestroySessions.`sessionContextLookupStrategy`
Lookup function for SessionContext.
`private Function<ProfileRequestContext,SessionContext>`
DetectIdentitySwitch.`sessionContextLookupStrategy`
Lookup function for SessionContext.
`private Function<ProfileRequestContext,SessionContext>`
ExtractActiveAuthenticationResults.`sessionContextLookupStrategy`
Lookup function for SessionContext.
`private Function<ProfileRequestContext,SessionContext>`
UpdateSessionWithSPSession.`sessionContextLookupStrategy`
Lookup function for SessionContext.
Method parameters in net.shibboleth.idp.session.impl with type arguments of type SessionContext
Modifier and Type
Method
Description
`void`
PopulateSessionContext.`setSessionContextCreationStrategy(Function<ProfileRequestContext,SessionContext> strategy)`
Set the creation/lookup strategy for the SessionContext to populate.
`void`
ProcessLogout.`setSessionContextCreationStrategy(Function<ProfileRequestContext,SessionContext> strategy)`
Set the creation/lookup strategy for the SessionContext to populate.
`void`
UpdateSessionWithAuthenticationResult.`setSessionContextCreationStrategy(Function<ProfileRequestContext,SessionContext> strategy)`
Set the lookup/creation strategy for the SessionContext to update.
`void`
DestroySessions.`setSessionContextLookupStrategy(Function<ProfileRequestContext,SessionContext> strategy)`
Set the lookup strategy for the SessionContext to access.
`void`
DetectIdentitySwitch.`setSessionContextLookupStrategy(Function<ProfileRequestContext,SessionContext> strategy)`
Set the lookup strategy for the SessionContext to access.
`void`
ExtractActiveAuthenticationResults.`setSessionContextLookupStrategy(Function<ProfileRequestContext,SessionContext> strategy)`
Set the lookup strategy for the SessionContext to access.
`void`
UpdateSessionWithSPSession.`setSessionContextLookupStrategy(Function<ProfileRequestContext,SessionContext> strategy)`
Set the lookup strategy for the SessionContext to access.